<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | GoogleAnalytics Plugin 1.2
// +---------------------------------------------------------------------------+
// | install_defaults.php
// |
// | Initial Installation Defaults used when loading the online configuration
// | records. These settings are only used during the initial installation
// | and not referenced any more once the plugin is installed.
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2012 by the following authors:
// |
// | Authors: Hiroron               - hiroron AT hiroron DOT com
// +---------------------------------------------------------------------------+
// | 
// | This program is free software; you can redistribute it and/or
// | modify it under the terms of the GNU General Public License
// | as published by the Free Software Foundation; either version 2
// | of the License, or (at your option) any later version.
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// | 
// | You should have received a copy of the GNU General Public License
// | along with this program; if not, write to the Free Software Foundation,
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// | 
// +---------------------------------------------------------------------------+

/**
* Install data and defaults for the GoogleAnalytics plugin configuration
*
* @package GoogleAnalytics
*/

if (strpos(strtolower($_SERVER['PHP_SELF']), 'install_defaults.php') !== false) {
    die('This file can not be used on its own!');
}

/*
 * GoogleAnalytics default settings
 *
 * Initial Installation Defaults used when loading the online configuration
 * records. These settings are only used during the initial installation
 * and not referenced any more once the plugin is installed
 *
 */
global $_GANA_DEFAULT;
$_GANA_DEFAULT = array();

/**
* Google Analytics Tracking Code
*/
$_GANA_DEFAULT['gatrackingid'] = 'UA-XXXXXXX-X';
$_GANA_DEFAULT['gatrackingid_mobile'] = 'UA-XXXXXXX-X';

$_GANA_DEFAULT['asynchronous'] = 1;

$_GANA_DEFAULT['nomobilebottracking'] = 1;

$_GANA_DEFAULT['mobilebotua'] = array('Googlebot-Mobile', 'BaiduMobaider', 'Y!J-SRD', 'Y!J-MRD', 'moba-crawler', 'mobile goo', 'LD_mobile_bot', 'froute.jp');


/**
* Initialize GoogleAnalytics plugin configuration
*
* Creates the database entries for the configuation if they don't already
* exist. Initial values will be taken from $_GANA_CONF if available (e.g. from
* an old config.php), uses $_GANA_DEFAULT otherwise.
*
* @return   boolean     true: success; false: an error occurred
*
*/
function plugin_initconfig_googleanalytics()
{
    global $_GANA_CONF, $_GANA_DEFAULT;

    if (is_array($_GANA_CONF) && (count($_GANA_CONF) > 1)) {
        $_GANA_DEFAULT = array_merge($_GANA_DEFAULT, $_GANA_CONF);
    }

    $me = 'googleanalytics';
    $c = config::get_instance();
    if (!$c->group_exists($me)) {

        $c->add('sg_main', NULL, 'subgroup', 0, 0, NULL, 0, true, $me, 0);
        $c->add('tab_main', NULL, 'tab', 0, 0, NULL, 0, true, $me, 0);
        $c->add('fs_main', NULL, 'fieldset', 0, 0, NULL, 0, true, $me, 0);

        $c->add('gatrackingid', $_GANA_DEFAULT['gatrackingid'], 'text',
                0, 0, NULL, 10, true, $me, 0);
        $c->add('gatrackingid_mobile', $_GANA_DEFAULT['gatrackingid_mobile'], 'text',
                0, 0, NULL, 20, false, $me, 0);
        $c->add('asynchronous', $_GANA_DEFAULT['asynchronous'], 'select', 0, 0, 0, 30, true, $me, 0);
        $c->add('nomobilebottracking', $_GANA_DEFAULT['nomobilebottracking'], 'select',
                0, 0, 0, 40, true, $me, 0);

        $c->add('tab_mobilebotua', NULL, 'tab', 0, 1, NULL, 0, true, $me, 1);
        $c->add('fs_mobilebotua', NULL, 'fieldset', 0, 1, NULL, 0, true, $me, 1);
        $c->add('mobilebotua', $_GANA_DEFAULT['mobilebotua'], '%text', 0, 1, NULL, 110, true, $me, 1);

    }

    return true;
}

?>