<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | GoogleAnalytics Plugin 1.2
// +---------------------------------------------------------------------------+
// | install_updates.php
// |
// | Initial Installation Defaults used when loading the online configuration
// | records. These settings are only used during the initial installation
// | and not referenced any more once the plugin is installed.
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009-2012 by the following authors:
// |
// | Authors: Hiroron               - hiroron AT hiroron DOT com
// +---------------------------------------------------------------------------+
// | 
// | This program is free software; you can redistribute it and/or
// | modify it under the terms of the GNU General Public License
// | as published by the Free Software Foundation; either version 2
// | of the License, or (at your option) any later version.
// | 
// | This program is distributed in the hope that it will be useful,
// | but WITHOUT ANY WARRANTY; without even the implied warranty of
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// | GNU General Public License for more details.
// | 
// | You should have received a copy of the GNU General Public License
// | along with this program; if not, write to the Free Software Foundation,
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// | 
// +---------------------------------------------------------------------------+

if (strpos(strtolower($_SERVER['PHP_SELF']), 'install_updates.php') !== false) {
    die('This file can not be used on its own!');
}

$_UPDATES['mysql'] = array(
    '1.1.4' => array(
        "INSERT INTO {$_TABLES['features']} (ft_name, ft_descr, ft_gl_core) VALUES ('config.googleanalytics.tab_main', 'Access to configure general googleanalytics settings', 0)",
        "INSERT INTO {$_TABLES['features']} (ft_name, ft_descr, ft_gl_core) VALUES ('config.googleanalytics.tab_mobilebotua', 'Access to configure googleanalytics mobile bot user agent', 0)"
    )
);

function googleanalytics_update_ConfValues_1_0_0()
{
    global $_CONF;

    require_once $_CONF['path_system'] . 'classes/config.class.php';
    $c = config::get_instance();

    $me = 'googleanalytics';

    $c->add('asynchronous', 1, 'select', 0, 0, 0, 30, true, $me, 0);
    $c->add('nomobilebottracking', 1, 'select', 0, 0, 0, 40, true, $me, 0);

    return true;
}

function googleanalytics_update_FeaturesFor_1_1_3()
{
    global $_TABLES;

    $ft_id  = 0;

    $me = 'googleanalytics';
    $current_ft_name = 'googleanalytics.admi';
    $upd_ft_name = 'ganalytics.admin';  // Change because there was a limit of 20 characters (Geeklog1.7)

    $result = DB_query("SELECT ft_id FROM {$_TABLES['features']} WHERE ft_name LIKE '{$current_ft_name}%'");
    $nrows = DB_numRows($result);
    for ($i = 0; $i < $nrows; $i++) {
        $A = DB_fetchArray($result);
        $ft_id = $A['ft_id'];
        if ($ft_id > 0) {
            DB_query("UPDATE {$_TABLES['features']} SET ft_name = '{$upd_ft_name}' WHERE ft_id = {$ft_id}");
        }
    }

    return true;
}

function googleanalytics_update_FeaturesFor_1_1_4()
{
    global $_TABLES;

    $ft_id  = 0;

    $me = 'googleanalytics';
    $current_ft_name = 'ganalytics.admin';
    $upd_ft_name = $me . '.admin';  // limit of 50 characters (Geeklog1.8 or higher)

    $result = DB_query("SELECT ft_id FROM {$_TABLES['features']} WHERE ft_name = '{$current_ft_name}'");
    $nrows = DB_numRows($result);
    for ($i = 0; $i < $nrows; $i++) {
        $A = DB_fetchArray($result);
        $ft_id = $A['ft_id'];
        if ($ft_id > 0) {
            DB_query("UPDATE {$_TABLES['features']} SET ft_name = '{$upd_ft_name}' WHERE ft_id = {$ft_id}");
        }
    }

    return true;
}

/**
 * Add in new security rights for the Group "GoogleAnalytics Admin"
 *
 */
function googleanalytics_update_ConfigSecurity_1_1_4()
{
    global $_TABLES;
    
    // Add in security rights for GoogleAnalytics Admin
    $group_id = DB_getItem($_TABLES['groups'], 'grp_id', "grp_name = 'GoogleAnalytics Admin'");

    if ($group_id > 0) {
        $ft_name[] = 'config.googleanalytics.tab_main';
        $ft_name[] = 'config.googleanalytics.tab_mobilebotua';

        foreach ($ft_name as $name) {
            $ft_id = DB_getItem($_TABLES['features'], 'ft_id', "ft_name = '{$name}'");
            if ($ft_id > 0) {
                DB_query("INSERT INTO {$_TABLES['access']} (acc_ft_id, acc_grp_id) VALUES ($ft_id, $group_id)");
            }
        }
    }

}

function googleanalytics_update_ConfValues_1_1_4()
{
    global $_CONF;

    require_once $_CONF['path_system'] . 'classes/config.class.php';
    $c = config::get_instance();

    $me = 'googleanalytics';

    // Add in all the New Tabls
    $c->add('tab_main', NULL, 'tab', 0, 0, NULL, 0, true, $me, 0);
    $c->add('tab_mobilebotua', NULL, 'tab', 0, 1, NULL, 0, true, $me, 1);

    return true;
}

?>
